=== debian/changelog ===
ros-foxy-pluginlib (2.5.4-1focal) focal; urgency=high

  * Enable plugin testing (#202 <https://github.com/ros/pluginlib/issues/202>)
  * Make the default filesystem lib c++fs unless otherwise specified (#214 <https://github.com/ros/pluginlib/issues/214>)
  * Contributors: Ahmed Sobhy, Karsten Knese, Shane Loretz

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Mon, 31 Jan 2022 08:00:00 -0000

ros-foxy-pluginlib (2.5.3-1focal) focal; urgency=high

  * Add QNX C++ fs library compiler option (#205 <https://github.com/ros/pluginlib/issues/205>) (#213 <https://github.com/ros/pluginlib/issues/213>)
  * Contributors: Ahmed Sobhy

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-foxy-pluginlib (2.5.2-1focal) focal; urgency=high

  * Link against tinyxml2 correctly (#190 <https://github.com/ros/pluginlib/issues/190>)
  * Export tinyxml2 directly from pluginlib-extras.cmake (#192 <https://github.com/ros/pluginlib/issues/192>)
  * Contributors: Karsten Knese, Sean Yen

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Tue, 26 May 2020 07:00:00 -0000

ros-foxy-pluginlib (2.5.1-1focal) focal; urgency=high

  * Add missing export of stdc++fs and TinyXML2 via modern CMake (#189 <https://github.com/ros/pluginlib/issues/189>)
  * Contributors: Dirk Thomas

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Thu, 07 May 2020 07:00:00 -0000

ros-foxy-pluginlib (2.5.0-1focal) focal; urgency=high

  * Export CMake targets in a addition to include directories / libraries. (#188 <https://github.com/ros/pluginlib/issues/188>)
  * Use rcpputils for library names. (#186 <https://github.com/ros/pluginlib/issues/186>)
  * Fix filesystem linking on clang9. (#183 <https://github.com/ros/pluginlib/issues/183>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, Emerson Knapp

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Sat, 25 Apr 2020 07:00:00 -0000

ros-foxy-pluginlib (2.4.1-1focal) focal; urgency=high

  * Avoid build break for Visual Studio 2019 v16.3 (#166 <https://github.com/ros/pluginlib/issues/166>)
  * Contributors: Sean Yen, Steven! Ragnarök

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-foxy-pluginlib (2.4.0-1focal) focal; urgency=high

  * Export tinyxml2 libraries downstream. (#154 <https://github.com/ros/pluginlib/issues/154>)
  * Contributors: Esteve Fernandez

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Wed, 18 Sep 2019 07:00:00 -0000

ros-foxy-pluginlib (2.3.1-1focal) focal; urgency=high

  * [ros2] Cast pointers to void * when using %p (#152 <https://github.com/ros/pluginlib/issues/152>)
  * Contributors: Shane Loretz

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Wed, 08 May 2019 07:00:00 -0000

ros-foxy-pluginlib (2.3.0-1focal) focal; urgency=high

  * Updated build to choose the appropriate library for experimental filesystem, based on the compiler and standard library. (#146 <https://github.com/ros/pluginlib/issues/146>)
  * Added stdc++fs as a target link library for clang compiler on linux. (#144 <https://github.com/ros/pluginlib/issues/144>)
  * Added Michael as maintainer (for build e-mails). (#137 <https://github.com/ros/pluginlib/issues/137>)
  * Contributors: Emerson Knapp, Michael Carroll, bhatsach

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Sun, 14 Apr 2019 07:00:00 -0000

ros-foxy-pluginlib (2.2.1-1focal) focal; urgency=high

  * Removed extraneous link lines. (#135 <https://github.com/ros/pluginlib/issues/135>)
  * Collapsed testing packages back into pluginlib package. (#134 <https://github.com/ros/pluginlib/issues/134>)
  * Contributors: Michael Carroll

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Thu, 13 Dec 2018 08:00:00 -0000

ros-foxy-pluginlib (2.2.0-1focal) focal; urgency=high

  * Reorganized tests into fixture and consumer packages. (#130 <https://github.com/ros/pluginlib/issues/130>)
  * Updated maintainer (#129 <https://github.com/ros/pluginlib/issues/129>)
  * Fixed plugin description installation to relative subdirectory (#122 <https://github.com/ros/pluginlib/issues/122>)
  * Contributors: Michael Carroll, Mikael Arguedas

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Tue, 20 Nov 2018 08:00:00 -0000

ros-foxy-pluginlib (2.1.1-1focal) focal; urgency=high

  * export rcutils (#120 <https://github.com/ros/pluginlib/issues/120>)
  * Contributors: Karsten Knese

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Tue, 17 Jul 2018 07:00:00 -0000

ros-foxy-pluginlib (2.1.0-1focal) focal; urgency=high

  * Fix compile error with gcc 8.1.0 (#116 <https://github.com/ros/pluginlib/issues/116>)
  * remove extra semicolon to fix pedantic warning (#103 <https://github.com/ros/pluginlib/issues/103>)
  * use new class_loader header names (#99 <https://github.com/ros/pluginlib/issues/99>)
  * adjust library search to work on windows, warn about lib prefix (#97 <https://github.com/ros/pluginlib/issues/97>)
  * vs2015 doesnt support __has_include, VS2015 and 2017 have both <files… (#96 <https://github.com/ros/pluginlib/issues/96>)
  * move pluginlib in its own folder (port 83 to ros2 branch) (#95 <https://github.com/ros/pluginlib/issues/95>)
  * Contributors: Mikael Arguedas, William Woodall, jerry73204

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Thu, 21 Jun 2018 07:00:00 -0000

ros-foxy-pluginlib (1.11.0-1focal) focal; urgency=high

  * Switch to Tinyxml2 (#59 <https://github.com/ros/pluginlib/issues/59>)
  * do not use popen to solve catkin_path. (#49 <https://github.com/ros/pluginlib/issues/49>)
  * switch to package format 2 (#55 <https://github.com/ros/pluginlib/issues/55>)
  * remove trailing whitespaces (#54 <https://github.com/ros/pluginlib/issues/54>)
  * Contributors: Dmitry Rozhkov, Koji Terada, Mikael Arguedas

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Thu, 27 Jul 2017 07:00:00 -0000

ros-foxy-pluginlib (1.10.5-1focal) focal; urgency=high


